
package de.ivu.elect.presentation.wahlbeteiligung.action;

import de.ivu.elect.business.wahlbeteiligung.boundary.WahlbeteiligungVerlaufChangeEvent;
import de.ivu.elect.business.wahlbeteiligung.boundary.WahlbeteiligungVerlaufGebietChangeEvent;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlauf;
import de.ivu.elect.business.wahlbeteiligung.entity.WahlbeteiligungVerlaufGebiet;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

import javax.annotation.Nonnull;
import javax.inject.Inject;

public abstract class AbstractWahlbeteiligungVerlaufGebietAction extends AbstractActionEntry<WahlbeteiligungVerlaufGebiet> {

  private static final long serialVersionUID = 1L;

  @Inject
  private WahlbeteiligungVerlaufGebietChangeEvent changeEvent;

  public AbstractWahlbeteiligungVerlaufGebietAction() {
    super();
  }

  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return getBearbeitenGebietSecurity();
  }

  @Override
  protected void fireChangeEvent() {
    changeEvent.sendChangeEvent();
  }

  @Override
  public boolean isDisabledInternal(@Nonnull WahlbeteiligungVerlaufGebiet wahlbeteiligungVerlaufGebiet) {
    return false;
  }
}
